# Update Card Limit

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/update-limit`

### **Request Body**

**Refer to :** [**common**](/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="169.09375">Name</th><th width="122.3984375">Type</th><th>Description</th></tr></thead><tbody><tr><td>limit_id<mark style="color:red;">*</mark></td><td>long</td><td>Card Limit ID</td></tr><tr><td>card_token<mark style="color:red;">*</mark></td><td>string(48)</td><td>Card Token</td></tr><tr><td>daily_transactions<mark style="color:red;">*</mark></td><td>integer</td><td><p>Daily Transactions Quality</p><p>Cannot exceed the query default card limit configuration </p></td></tr><tr><td>single_amount<mark style="color:red;">*</mark></td><td>string</td><td><p>Single Amount</p><p>Cannot exceed the query default card limit configuration</p></td></tr><tr><td>daily_amount<mark style="color:red;">*</mark></td><td>string</td><td><p>Daily Amount</p><p>Cannot exceed the query default card limit configuration</p></td></tr><tr><td>monthly_amount<mark style="color:red;">*</mark></td><td>string</td><td><p>Monthly Amount</p><p>Cannot exceed the query default card limit configuration</p></td></tr><tr><td>total_amount</td><td>string</td><td>Total Amount.Designed for share card</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "c5Ac6897-d5bd-5310-DdAc-ec16f9Ab",
    "timestamp": "2025-04-07 13:56:48",
    "format": "JSON",
    "version": "2.0",
    "random_key": "<generated_key>",
    "sign_type": "RSA",
    "biz_data": {
        "limit_id": 100848,
        "card_token": 450620141926,
        "daily_transactions": "10000",
        "single_amount": "10000",
        "daily_amount": "10000",
        "monthly_amount": "10000",
        "total_amount": "10000"
    }
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/card-limit/update-card-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
